SINH(3)

NAME
sinh, sinhf - hyperbolic sine

SYNOPSIS

#include <math.h>

double sinh(double x);

float sinhf(float x);

DESCRIPTION

sinh computes the hyperbolic sine of the argument x. Angles are specified in radians. sinh(x) is defined as

     (exp(x) - exp(-x))/2

sinhf is identical, save that it takes and returns float values.

RETURNS

The hyperbolic sine of x is returned.

When the correct result is too large to be representable (an overflow), sinh returns HUGE_VAL with the appropriate sign, and sets the global value errno to ERANGE.

PORTABILITY

sinh is ANSI C. sinhf is an extension.